List form import files
curl --request GET \
--url https://app.azalt.co/api/v1/imports/form/{formId}/files \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.azalt.co/api/v1/imports/form/{formId}/files"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.azalt.co/api/v1/imports/form/{formId}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"dataImportId": "<string>",
"fileName": "<string>",
"mediaId": "<string>",
"signedUrl": "<string>",
"actorName": "<string>",
"actorEmail": "<string>",
"createdAt": "<string>",
"affectedChanges": 1,
"rowCount": 1,
"sourceImportRunId": "<string>",
"sourceImportStatus": "<string>",
"sourceAdapterDefinitionName": "<string>",
"elementLabels": [
"<string>"
],
"targetCount": 1,
"targets": [
{
"formElementLabel": "<string>",
"siteId": "<string>",
"siteName": "<string>",
"year": 123,
"periodUnit": 123,
"rowCount": 1,
"affectedChanges": 1
}
]
}
],
"hasMore": true
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Import
List form import files
List import files and import runs that wrote data to a specific form, grouped by import source.
GET
/
imports
/
form
/
{formId}
/
files
List form import files
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Required range:
1 <= x <= 100⌘I

